import React from "react";
import {Cell} from "../Cell";
import {Modify} from "@kernelui/core";

/**
 * Clickable cell component.
 */
export function ClickableCell({role, children, ...props}: React.PropsWithChildren<Modify<React.TdHTMLAttributes<HTMLTableCellElement>, {
	role?: never;
}>>)
{
	return (
		<Cell role={"button"} {...props}>
			{children}
		</Cell>
	)
}
